<?php if (!defined('ABSPATH')) { exit(); }
if (strstr($_SERVER['REQUEST_URI'], '/plugins.php')) { load_device_detect_textdomain(); }


function device_detect_meta_box($post) {
load_device_detect_textdomain();
$links = array(
'' => __('Documentation', 'device-detect'),
'#phone-contents' => __('Display a content restricted to phones', 'device-detect'),
'#tablet-contents' => __('Display a content restricted to tablets', 'device-detect'),
'#computer-contents' => __('Display a content restricted to computers', 'device-detect'),
'#screen-options-wrap' => __('Hide this box', 'device-detect')); ?>
<p><a target="_blank" href="https://www.kleor.com/device-detect/"><?php echo $links['']; ?></a><span id="device-detect-screen-options-link"></span></p>
<script>document.getElementById("device-detect-screen-options-link").innerHTML = ' | <a style="color: #606060;" href="#screen-options-wrap" onclick="document.getElementById(\'show-settings-link\').click(); document.getElementById(\'device-detect-hide\').click();"><?php echo $links['#screen-options-wrap']; ?></a>';</script>
<ul>
<?php foreach (array('', '#screen-options-wrap') as $url) { unset($links[$url]); }
foreach ($links as $url => $text) {
echo '<li><a target="_blank" href="https://www.kleor.com/device-detect/'.$url.'">'.$text.'</a></li>'; } ?>
</ul>
<?php }

add_action('add_meta_boxes', function() { foreach (array("page", "post") as $type) { add_meta_box("device-detect", "Device Detect", "device_detect_meta_box", $type, "side"); } });


function device_detect_row_meta($links, $file) {
if ($file == DEVICE_DETECT_FOLDER.'/device-detect.php') {
$links = array_merge($links, array('<a href="https://www.kleor.com/device-detect/">'.__('Documentation', 'device-detect').'</a>')); }
return $links; }

add_filter('plugin_row_meta', 'device_detect_row_meta', 10, 2);